<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Samwad</title>

    <style>
        table, th, td {
            border: 1px solid black;
            padding: 5px;
        }
        table {
            border-spacing: 15px;
        }

        .center {
            text-align: center;
            border: 3px solid green;
        }

    </style>

    <script src="js/kurento-utils.js"></script>
    <script src="app.js"></script>
</head>
<body>

<h1 class="center">Samwad: Video Conferencing for AR/VR platform</h1>

<!-- Video Elements -->
<table style="width:100%">
    <tr>
        <th>Original Video</th>
        <th>Processed Video</th>
    </tr>
    <tr>
        <th>
            <video id="inputVideo" autoplay width="640px" height="480px"></video>
        </th>
        <th>
            <video id="outputVideo" autoplay width="640px" height="480px"></video>
        </th>
    </tr>
    <tr>
        <th>
            <input id="name" name="name" type="text" />
            <button id="register" name="register" type="button" onclick="register()">Register</button>
        </th>

        <th>
            <input id="peer" name="peer" type="text" >
            <button id="call" name="call" type="button" onclick="call()" >Call</button>
            <button id="stop" name="stop" type="button" onclick="stop()">Stop</button>
        </th>

    </tr>

    <tr>
        <th>
            <textarea id="dataChannelSend" class="form-control" disabled
                      style="height: 100px;" placeholder="Enter the text to send"></textarea>
        </th>

        <th>
            <button id="send" name="send" type="button" >Send</button>
        </th>

    </tr>
</table>
</body>
</html>